package com.ym.mec.web.controller.education;

import com.ym.mec.biz.dal.enums.ExpenditureTypeEnum;
import com.ym.mec.biz.dal.enums.FeeProjectEnum;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RequestMapping("eduFeeType")
@Api(tags = "费用类型服务")
@RestController
public class EduFeeTypeController extends BaseController {

    @GetMapping("/getExpenditureType")
    public HttpResponseResult<Map<Integer, String>> getExpenditureType() {
        Map<Integer, String> typeMap = new HashMap<>();
        for (ExpenditureTypeEnum val : ExpenditureTypeEnum.values()) {
            typeMap.put(val.getCode(), val.getDesc());
        }
        return succeed(typeMap);
    }

    @GetMapping("/getFeeProject")
    public HttpResponseResult<Map<Integer, String>> getFeeProject() {
        Map<Integer, String> typeMap = new HashMap<>();
        for (FeeProjectEnum val : FeeProjectEnum.values()) {
            typeMap.put(val.getCode(), val.getDesc());
        }
        return succeed(typeMap);
    }

}
